frown(1)

NAME
frown - an LALR(k) parser generator for Haskell 98

SYNOPSIS
frown [ options ... ] file.[i]g ...

DESCRIPTION

-b, --backtrack
    generate a backtracking parser

-c[compact|gvstack|stackless|standard], --code[=compact|gvstack|stackless|standard]
    select output format

--copying
    display details of copying

-d, --debug
    emit debugging information

-e, --expected
    pass a list of expected terminals to ‘frown’

-g, --ghc
    use GHC extensions

-h, -?, --help
    print this information

-i, --info
    put additional information into generated file

-kn, --lookahead=n
    use n tokens of lookahead

-l, --lexer
    use a monadic lexer (‘get :: M Terminal’)

-n, --noinline
    generate NOINLINE pragmas

-O, --optimize
    optimize parser

-pn, --pagewidth=n
    use the specified pagewidth n for pretty printing

--prefix=string
    use the given string as prefix for frown generated variables

-s[mono|poly], --signature[=mono|poly]
    add type signatures

--suffix=string
    use the given string as suffix for frown generated variables

-t, --trace
    insert calls to tracing routines (‘shift’, ‘reduce’ and ‘accept’)

-v, --verbose
    be verbose

--version
    print version information

--warranty
    display details of warranty

COPYRIGHT
© 2002 – 2005 Ralf Hinze

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this package; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR
This manual page was written by Arjan Oosting <arjanoosting@home.nl> for the Debian system (but may be used by others).